Skip to main content
Sitecore Documentation
  • Learn
  • Downloads
  • Changelog
  • Roadmap
PersonalizeCloud Portal
Sitecore Personalize developer documentation
  • 開発Sitecore Personalize
    • ベースURL
    • レスポンスコード
        • 接続を作成する
        • 接続の取得
        • 接続を取得する
        • 接続を更新する
        • 接続をテストする
  1. 接続REST API
  1. REST API
  2. 接続REST API
  3. 接続をテストする

接続をテストする

日本語翻訳に関する免責事項

このページの翻訳はAIによって自動的に行われました。可能な限り正確な翻訳を心掛けていますが、原文と異なる表現や解釈が含まれる場合があります。正確で公式な情報については、必ず英語の原文をご参照ください。

POST /v2/connections/testConnection

接続をテストします。

要求本文には、次の必須属性を指定する必要があります。

属性

種類

形容

例

connection

オブジェクト

このオブジェクトで、接続を指定します。接続は、接続を取得したときに返される応答本文です。

{
    "connection": {
        "clientKey": "...",
        "href": "...",
        ...
    }
}
curl -X POST '<baseURL>/v2/connections/testConnection' \
-H 'Authorization: Bearer <accessToken>' \
-H 'Accept: application/json' \
--data-raw '
{
    "connection": {
        "clientKey": "pqsDATA3lw12v5a9rrHPW1c4hET73GxQ",
        "href": "<baseURL>/v2/connections/ab5fc100-a0d2-49a0-87d9-1d4219a5d0a2",
        "ref": "ab5fc100-a0d2-49a0-87d9-1d4219a5d0a2",
        "name": "Promo Offer to Email Push and notif and SMS",
        "description": "Omnichannel publishing",
        "modifiedByRef": "343982bb-40e4-4119-bfab-144f65fb496c",
        "modifiedAt": "2025-09-14T20:17:59.737Z",
        "revision": 1,
        "archived": false,
        "auth": {
            "authType": "NONE"
        },
        "request": {
            "requestType": "POST",
            "connectionUrl": "<baseURL>/workflows/45aea1bb3c2845e8b4043e209c4456c2/triggers/manual/paths/invoke",
            "requestBody": "{\n    \"guest_sms\" : \"{sms}\",\n    \"x-brand-color\" : \"black\"\n}"
        },
        "inputMappings": [],
        "outputMappings": [
            {
                "label": "response",
                "outputReference": "message",
                "type": "String"
            }
        ],
        "customHeaders": [
            {
                "name": "Accept",
                "value": "application/json"
            },
            {
                "name": "Accept-Encoding",
                "value": "gzip"
            },
            {
                "name": "Content-Type",
                "value": "application/json"
            },
            {
                "name": "X-Brand-Color",
                "value": "{color-name-or-hex}"
            },
            {
                "name": "X-Guest-SMS",
                "value": "{sms}"
            }
        ],
        "urlParameters": [],
        "systemType": "DESTINATION",
        "connectionTimeout": 10000,
        "socketTimeout": 1000,
        "icon": "fad fa-sms"
    }
}'
{
    "statusCode": 202,
    "executionTimeInMilliseconds": 351,
    "request": {
        "headers": {
            "X-Brand-Color": "{color-name-or-hex}",
            "Accept": "application/json",
            "X-Correlation-Id": "0b79f2c2-2001-4131-80d2-df3936e19e78",
            "X-Guest-SMS": "{sms}",
            "Accept-Encoding": "gzip",
            "Content-Type": "application/json"
        }
    },
    "response": {
        "body": {
            "message": "cannot handle current output"
        }
    },
    "mappingResult": {
        "message": "cannot handle current output"
    },
    "connectionUrl": "<baseURL>/workflows/45aea1bb3c2845e8b4043e209c4456c2/triggers/manual/paths/invoke"
}
この記事を改善するための提案がある場合は、 お知らせください!

Documentation Assistant

This assistant uses AI to generate responses based on Sitecore documentation. While it has access to official sources, answers may be incomplete or inaccurate and should not be considered official advice or support.
Powered by
k
kapa.ai
Protected by reCAPTCHA

© Copyright 2026, Sitecore A/S or a Sitecore affiliated company.
All rights reserved.

Privacy policySitecore Trust CenterTerms of use